=== debian/control ===
Source: ros-jazzy-kdl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-orocos-kdl-vendor, ros-jazzy-rcutils, ros-jazzy-urdf, ros-jazzy-urdfdom-headers, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-orocos-kdl-vendor, ros-jazzy-rcutils, ros-jazzy-urdf, ros-jazzy-urdfdom-headers, ros-jazzy-ros-workspace
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.
